org.appng.core.repository

## Interface PlatformEventRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<PlatformEvent,Integer>, org.springframework.data.jpa.repository.JpaRepository<PlatformEvent,Integer>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<PlatformEvent>, org.springframework.data.repository.PagingAndSortingRepository<PlatformEvent,Integer>, org.springframework.data.repository.query.QueryByExampleExecutor<PlatformEvent>, org.springframework.data.repository.Repository<PlatformEvent,Integer>, SearchRepository<PlatformEvent,Integer>

      public interface PlatformEventRepository
      extends SearchRepository<PlatformEvent,Integer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `findDistinctApplications()`
    `List<String>` | `findDistinctHostNames()`
    `List<String>` | `findDistinctOrigins()`
    `List<String>` | `findDistinctUsers()`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findDistinctUsers

          @Query(value="select distinct(e.user) from PlatformEvent e order by e.user")
          List<String> findDistinctUsers()

    - #### findDistinctApplications

          @Query(value="select distinct(e.application) from PlatformEvent e order by e.application")
          List<String> findDistinctApplications()

    - #### findDistinctOrigins

          @Query(value="select distinct(e.origin) from PlatformEvent e order by e.origin")
          List<String> findDistinctOrigins()

    - #### findDistinctHostNames

          @Query(value="select distinct(e.hostName) from PlatformEvent e order by e.hostName")
          List<String> findDistinctHostNames()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.